<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Setup :: U.S. Robotics Wireless MAXg Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5461.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--
function next()
{	document.location = 'detect.asp';
}
//-->
</script>
</head>
<body onload="manageWANoptions();">
<script type="text/javascript">
	writeHeaderSetup(1, 3);
</script>
<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">
   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>
	<h1>Configure Internet Connection</h1>
   <p>This enables access to the Internet for devices that connect to the router.</p>
   <p>If you have a working Internet connection through a
   computer connected to your DSL or cable modem, you have already entered
   these settings on that computer and should be able to determine them from
   your current configuration.
   If not, your ISP can provide you with this information.</p>
   <p>You may need to enter a <strong>user name</strong> and <strong>password</strong>
   (if your Internet Service Provider provided them and you haven&rsquo;t entered them elsewhere).</p>
	<p>Every network device has a unique identifier known as a <strong>MAC address</strong>.</p>
   <p>You may also need to change the router&rsquo;s <strong>MAC address</strong>
   or enter a <strong>host name</strong>.</p>
	<p>You may need to enter information about your <strong>static IP address </strong>
	(if your ISP provided one, such as &ldquo;192.168.1.10&rdquo;).</p>
</div>
<form name="idForm" action="setup_sec.asp" method="post">
<input type="hidden" name="page" value="setup_wan.asp">
<input type="hidden" name="wan_unit" value="0">
<input type="hidden" name="wan_proto" value="">
<h3>Configure Your Internet Connection</h3>
<p>The router could not automatically configure your Internet connection.
Please enter the appropriate settings below.</p>
<table class="clsGroupBox">
	<tr><td><input type="button" class="clsBtnFeature" name="btnDetect" value="Detect Connection" onclick="next();"></td>
		<td><p>If you&rsquo;ve corrected the problem (perhaps the modem
			wasn&rsquo;t connected or powered on or the router
			wasn&rsquo;t connected to the modem), you can press the <strong>Detect
			Connection</strong> button and the router will try again.</p></td></tr>
</table>
<p>You may need to contact your Internet Service Provider for assistance in
determining the correct settings.
In that case, you can select &ldquo;Cable,&rdquo; complete the setup, and later
use the router&rsquo;s <strong>Internet</strong> page to configure your Internet connection.</p>
<p>	<input type="radio" id="optCable" name="optModem" value="modemCable" onclick="manageWANoptions(); bDirty = true;" <% nvram_invmatch("wan_proto", "pppoe", "checked"); %> /> <label for="optCable">Cable, DSL router, satellite, ISDN, LAN, or other</label><br/>
	<input type="radio" id="optDSL" name="optModem" value="modemADSL" onclick="manageWANoptions(); bDirty = true;" <% nvram_match("wan_proto", "pppoe", "checked"); %> /> <label for="optDSL">DSL modem</label> <span class="clsNote">(also known as PPPoE)</span></p>
<div id="idCablePrompts">
   <h3>Clone MAC&nbsp;address</h3>
	<p>If you already have a computer connected to your modem, your ISP may require you to
	change the router&rsquo;s <strong>MAC address</strong> to match the address of that computer.
	If that computer is already connected to the router, you can select its MAC address
	from the list. Otherwise, you can enter an address in the field below.</p>
<table border="0">
	<tr valign="center">
		<td><label for="wan_hwaddr">Router:</label>
			<input type="text" size="20" maxlength="17" id="wan_hwaddr" class="clsTextfield" name="wan_hwaddr" value="<% nvram_get("wan0_hwaddr"); %>" onchange="validateMAC(document.idForm.wan_hwaddr.value); bDirty = true;"></td>
		<td><table class="clsGroupBox"><tr><td>
			<label>Client devices:</label><br/>
			<select id="cbClientDevices" onchange="document.idForm.wan_hwaddr.value = document.idForm.cbClientDevices.options[document.idForm.cbClientDevices.selectedIndex].value; bDirty = true;">
				<option value = "<% nvram_get("wan0_hwaddr"); %>">Router (<% nvram_get("wan0_hwaddr"); %>) </option>
				<% lan_clients(); %>
			</select></td></tr></table></td></tr>
</table>
   <h3>Static IP Address</h3>
   <p><input type="checkbox" id="chkHaveStaticIP" name="chkHaveStaticIP" <% nvram_match("wan_proto", "static", "checked"); %> onclick="setVisibility('idStaticIPfields', document.idForm.chkHaveStaticIP.checked);">
	<label for="chkHaveStaticIP">My ISP provided an IP address for my Internet connection (such as &ldquo;192.168.10.127&rdquo;).</label></p>
   <div id="idStaticIPfields">
   <table border="0">
    <tr><td><label for="wan_ipaddr">Static IP address:</label></td>
      <td><input type="text" size="20" id="wan_ipaddr" class="clsTextfield" name="wan_ipaddr" value="<% nvram_get("wan_ipaddr"); %>"></td></tr>
	<tr><td><label for="wan_netmask">Subnet mask:</label></td>
   		<td><input type="text" size="20" maxlength="15" id="wan_netmask" class="clsTextfield" name="wan_netmask" value="<% nvram_get("wan_netmask"); %>"></td></tr>
	<tr><td><label for="wan_gateway">Gateway:</label></td>
		<td><input type="text" size="20" maxlength="15" id="wan_gateway" class="clsTextfield" name="wan_gateway" value="<% nvram_get("wan_gateway"); %>"></td></tr>
	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
	<tr><td><input type="hidden" name="wan_dns" value="3"><label for="wan_dns0">DNS servers:</label></td>
		<td><input type="text" size="20" maxlength="15" id="wan_dns0" class="clsTextfield" name="wan_dns0" value="<% nvram_list("wan_dns", 0); %>"></td></tr>
	<tr><td></td>
		<td><input type="text" size="20" maxlength="15" id="wan_dns1" class="clsTextfield" name="wan_dns1" value="<% nvram_list("wan_dns", 1); %>"></td></tr>
	<tr><td></td>
		<td><input type="text" size="20" maxlength="15" id="wan_dns2" class="clsTextfield" name="wan_dns2" value="<% nvram_list("wan_dns", 2); %>"></td></tr>
	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
	<tr><td><input type="hidden" name="wan_wins" value="3"><label for="wan_wins0">WINS servers:</label></td>
		<td><input type="text" size="20" maxlength="15" id="wan_wins0" class="clsTextfield" name="wan_wins0" value="<% nvram_list("wan_wins", 0); %>"></td></tr>
	<tr><td></td>
		<td><input type="text" size="20" maxlength="15" id="wan_wins1" class="clsTextfield" name="wan_wins1" value="<% nvram_list("wan_wins", 1); %>"></td></tr>
	<tr><td></td>
		<td><input type="text" size="20" maxlength="15" id="wan_wins2" class="clsTextfield" name="wan_wins2" value="<% nvram_list("wan_wins", 2); %>"></td></tr>
   </table></div>
</div>
<div id="idADSLprompts">
	<h3>Internet Login (PPPoE)</h3>
   <p>If your ISP provided a user name and password for your Internet connection, please
   enter them here.</p>
   <p>This is also known as a PPPoE connection.
   You should not enter your user name and password if you have PPPoA or
   if you have a DSL router (or another device, such as a VoIP gateway)
   that you&rsquo;ve already configured with your user name and password.</p>
   <div id="idUsernamePassword">
   <table border="0">
      <tr><td><label for="wan_pppoe_username">User&nbsp;name:</label></td>
         <td><input type="text" size="20" id="wan_pppoe_username" class="clsTextfield" name="wan_pppoe_username" value="<% nvram_get("wan_pppoe_username"); %>" onchange="if (!isPrintable('User name', document.idForm.wan_pppoe_username.value)) return false;"></td></tr>
      <tr><td><label for="wan_pppoe_passwd">Password:</label></td>
         <td><input type="text" size="20" id="wan_pppoe_passwd" class="clsTextfield" name="wan_pppoe_passwd" value="<% nvram_get("wan_pppoe_passwd"); %>" onchange="if (!isPrintable('Password', document.idForm.wan_pppoe_passwd.value)) return false;"></td></tr>
   </table></div>
</div>
<h3>Host Name</h3>
<p>If your ISP provided you with a host name, enter it here.</p>
<p><label for="wan_hostname">Host name:</label> <input type="text" size="20" id="wan_hostname" class="clsTextfield" name="wan_hostname" value="<% nvram_get("wan_hostname"); %>" onchange="if (!isPrintable('Host name', document.idForm.wan_hostname.value)) return false;"></p>
<p class="clsSave">When you&rsquo;re finished and are ready to go to the next step, press <strong>Next</strong>.</p>
<p><input type="submit" name="action" value="Next -->" class="clsBtnSave" onclick="if (!isPrintable('User name', document.idForm.wan_pppoe_username.value)) return false; if (!isPrintable('Password', document.idForm.wan_pppoe_passwd.value)) return false; if (!isPrintable('Host name', document.idForm.wan_hostname.value)) return false; setup_wanproto(0);"></p>
</form>
<script type="text/javascript">
	writeCopyright();
</script></body></html>
